Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.sp
Class SPVC

    java.lang.Object
      escjava.sp.SPVC

public class SPVC
extends java.lang.Object

Field Summary
`private java.util.Hashtable` | `cache`
`private Set` | `cacheHit`
`private static int` | `predNum`
`private DefPredVec` | `preds`

Constructor Summary
`SPVC()`

Method Summary
`private NXW` | `calcNxw(GuardedCmd g)`
`static Expr` | `compute(GuardedCmd g)`
`static Expr` | `computeN(GuardedCmd g)`
`private Expr` | `computeNotWrong(GuardedCmd root)`
`static boolean` | `isSimpleConjunction(Expr e)`
`private static boolean` | `isSimpleExpr(Expr e)`
`private Expr` | `name(Expr e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cache

    private java.util.Hashtable cache

### cacheHit

    private Set cacheHit

### preds

    private DefPredVec preds

### predNum

    private static int predNum

Constructor Detail

### SPVC

    public SPVC()

Method Detail

### compute

    public static Expr compute(GuardedCmd g)

### name

    private Expr name(Expr e)

### computeNotWrong

    private Expr computeNotWrong(GuardedCmd root)

### computeN

    public static Expr computeN(GuardedCmd g)

### calcNxw

    private NXW calcNxw(GuardedCmd g)

### isSimpleConjunction

    public static boolean isSimpleConjunction(Expr e)

### isSimpleExpr

    private static boolean isSimpleExpr(Expr e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage